#! /bin/bash
set -e

read_config() {
    local CONFIG_FILE key default_value value
    CONFIG_FILE=$1
    key=$2
    default_value=$3
    if [ ! -f "$CONFIG_FILE" ]; then
        echo "$default_value"
        return
    fi
    value=$(grep -wi "$key" "$CONFIG_FILE" 2>/dev/null  || true)
    if [[ -z "$value" ]]; then
        echo "$default_value"
    else
        value="${value#*=}"
        echo "$value"
    fi
}

readonly CUSTOM_CONFIG_FILE="/usr/share/bluetooth/bluetoothd.conf"
readonly DEBUG_CONFIG_FILE="/etc/deepin/deepin-debug-config/deepin-bluetoothd.conf"

param=$(read_config $CUSTOM_CONFIG_FILE "OParameter" "")
param2=$(read_config $DEBUG_CONFIG_FILE "OParameter" "")

env_var=$(read_config $DEBUG_CONFIG_FILE "OEnv" "")
if [ -n "$env_var" ]; then
    IFS=' ' read -ra env_vars <<< "$env_var"
    for var in "${env_vars[@]}"; do
        export ${var?}
    done
fi

SCRIPT_DIR=$(dirname "$0")
exec "${SCRIPT_DIR}"/bluetoothd $param $param2
